<!--
  Generated template for the AddSurveyPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
 <!-- home header  -->
 <ion-header>
	<ion-navbar color="haldin-header">
	  <ion-title>
		<h3>Pendaftaran Customer</h3>
	  </ion-title>
	</ion-navbar>
  </ion-header>
  <!-- end home header  --><br /><br />
  
  
  <ion-content padding class="the_content">
	  <form (submit)="saveDataUser()">
		  <ion-item class="lista">
			  <ion-label>Kategori Customer</ion-label>
			  <ion-select [(ngModel)]="regData.kategoriSelected" name="kategoriSelected" (ionChange)="hideOutlet(regData.kategoriSelected)">
				  <!--<ion-option value="1">Bisnis (untuk 1-3 Outlet)</ion-option>
				  <ion-option value="2">Corporate (lebih dari 3 outlet)</ion-option> -->
				  <ion-option value="3">Karyawan</ion-option>
			  </ion-select>		
		  </ion-item>
		  
		  <div [hidden]=inputDisabledOut>
			  <ion-item>
				  <ion-label>Nama Outlet {{label_wajib}} </ion-label>
				  <ion-input type="text" [(ngModel)]="regData.nama_outlet" name="nama_outlet" clearInput=true></ion-input>
			  </ion-item>
		  </div>
		  
		  <ion-item class="lista">
			  <ion-label>Gelar *</ion-label>
			  <ion-select [(ngModel)]="regData.gelar" name="gelar">
				  <ion-option value="Mr">Mr</ion-option>
				  <ion-option value="Mrs">Mrs</ion-option>
				  <ion-option value="Ms">Ms</ion-option>
			  </ion-select>
		  </ion-item>
		  
		  <ion-item>
			  <ion-label>Nama {{label_nama}} *</ion-label>
			  <ion-input type="text" [(ngModel)]="regData.nama" name="nama" clearInput=true></ion-input>
		  </ion-item>
		  
		  <div [hidden]=inputDisabledNip>
			  <ion-item>
				  <ion-label>Nomor Induk Karyawan *</ion-label>
				  <ion-input type="text" [(ngModel)]="regData.nomor_induk_kr" name="nomor_induk_kr" clearInput=true></ion-input>
			  </ion-item>
		  </div>
		  
		  <ion-item class="lista">
			  <ion-label>Jenis Kelamin *</ion-label>
			  <ion-select [(ngModel)]="regData.jenis_kelamin" name="jenis_kelamin">
				  <ion-option value="L">Laki-laki</ion-option>
				  <ion-option value="P">Perempuan</ion-option>
			  </ion-select>
		  </ion-item>
		  
		  <ion-item>
			  <ion-label>Email *</ion-label>
			  <ion-input type="email" [(ngModel)]="regData.email" name="email" clearInput=true></ion-input>
		  </ion-item>
		  
		  <ion-item>
			  <ion-label>Telepon *</ion-label>
			  <ion-input type="email" [(ngModel)]="regData.telepon" name="telepon" clearInput=true></ion-input>
		  </ion-item>
		  
		  <ion-item>
			  <ion-label>Nomor KTP *</ion-label>
			  <ion-input type="text" [(ngModel)]="regData.nik" name="nik" clearInput=true></ion-input>
		  </ion-item>
  
		  <ion-item>
			  <ion-label>Foto KTP</ion-label>  
		  </ion-item>
		  
		  <p style="text-align: center;">
		  <img src="{{myImageKtp}}" (click)="takePhotoKtp()" />
		  <ion-input type="hidden" [(ngModel)]="regData.imageOri" name="imageOri"></ion-input>
		  </p>
		  
		  <div [hidden]=inputDisabled>
			  <ion-item>
				  <ion-label>NPWP {{label_wajib}}</ion-label>
				  <ion-input type="text" [(ngModel)]="regData.npwp" name="npwp" clearInput=true></ion-input>
			  </ion-item>
  
			  <ion-item>
				  <ion-label>Foto NPWP</ion-label>  
			  </ion-item>
		  
			  <p style="text-align: center;">
				  <img src="{{myImageNpwp}}" (click)="takePhotoNpwp()" />
				  <ion-input type="hidden" [(ngModel)]="regData.imageOriNpwp" name="imageOriNpwp"></ion-input>
			  </p>
			  
		  </div>
		  
		  <div [hidden]=inputDisabledKar>
			  <ion-item-divider>      
				  <ion-label position="floating">
				  <ion-icon name="camera"></ion-icon>
				  <span class="font-color-blue" style="font-size: 20px;">Foto</span> <span class="font-color-green" style="font-size: 20px;">Outlet {{label_wajib}}</span>
				  </ion-label>
				  <ion-input ></ion-input>
			  </ion-item-divider>
  
			  <p style="text-align: center;">
			  <img src="{{myImageOutlet}}" (click)="takePhotoOutlet()" />
			  <ion-input type="hidden" [(ngModel)]="regData.imageOriOutlet" name="imageOriOutlet"></ion-input>
			  </p>
			  
			  <ion-item>
				  <ion-label>Nomor NIB {{label_wajib}}</ion-label>
				  <ion-input type="text" [(ngModel)]="regData.nib" name="nib" clearInput=true></ion-input>
			  </ion-item>
		  </div>
		  
		  <ion-item>
			  <ion-label>Alamat {{label_alamat}} *</ion-label>
			  <ion-textarea [(ngModel)]="regData.alamat_outlet" name="alamat_outlet" ></ion-textarea>
		  </ion-item>
		  
		  <ion-item class="lista">	
			  <ion-label>Provinsi *</ion-label>	
			  <ion-select name="provinsiSelected" (ionChange)="onGetCity($event)" [(ngModel)]="regData.provinsiSelected">
				  <ion-option *ngFor="let provinsi of data_provinsi" value="{{provinsi.id_propinsi}}">{{provinsi.nama_propinsi}}</ion-option>
			  </ion-select>
		  </ion-item>	
  
		  <ion-item class="lista">	
			  <ion-label>Kota *</ion-label>	
			  <ion-select name="citySelected" [(ngModel)]="regData.citySelected" (ionChange)="kode_customer_set($event)">
				  <ion-option *ngFor="let city of data_city" value="{{city.id_kabkota}}">{{city.nama_kabkota}}</ion-option>
			  </ion-select>
		  </ion-item>	
		  
		  <ion-item class="lista">	
			  <ion-label>Kecamatan *</ion-label>	
			  <ion-select name="kecamatanSelected" [(ngModel)]="regData.kecamatanSelected" (ionChange)="onGetKelurahan($event)">
				  <ion-option *ngFor="let kecamatan of data_kecamatan" value="{{kecamatan.id_kecamatan}}">{{kecamatan.nama_kecamatan}}</ion-option>
			  </ion-select>
		  </ion-item>	
		  
		  <ion-item class="lista">	
			  <ion-label>Kelurahan *</ion-label>	
			  <ion-select name="kelurahanSelected" [(ngModel)]="regData.kelurahanSelected">
				  <ion-option *ngFor="let kelurahan of data_kelurahan" value="{{kelurahan.id_kelurahan}}">{{kelurahan.nama_kelurahan}}</ion-option>
			  </ion-select>
		  </ion-item>	
  
		  <ion-item>
			  <ion-label>Kode Pos *</ion-label>
			  <ion-input type="text" [(ngModel)]="regData.kode_pos" name="kode_pos" clearInput=true></ion-input>
		  </ion-item>	
	  
		  <ion-item style="background-color: #ccc;">
			  <ion-label>Kode Customer</ion-label>
			  <ion-input type="text" [(ngModel)]="regData.kode_customer" name="kode_customer" readonly></ion-input>
		  </ion-item>
		  <div [hidden]=inputDisabledKar>
			  <ion-item>
				  <ion-label>Kode HSP</ion-label>
				  <ion-input type="text" [(ngModel)]="regData.kode_agent" name="kode_agent" clearInput=true></ion-input>
			  </ion-item>
		  
		  
			  <ion-item>
				  <ion-label>Kode Key Account</ion-label>
				  <ion-input type="text" [(ngModel)]="regData.kode_sales" name="kode_sales" clearInput=true></ion-input>
			  </ion-item>
		  </div>
		  
		  <div [hidden]=showHsh>
			  <ion-item>
				  <ion-label>Kode Key Account : <b>HSH</b></ion-label>
			  </ion-item>
		  </div>
		  
		  <ion-item>
			  <ion-label>Password *</ion-label>
			  <ion-input type="password" [(ngModel)]="regData.password" name="password" clearInput=true></ion-input>
		  </ion-item>
  
		  <ion-item>
			  <ion-label>Re-entri Password *</ion-label>
			  <ion-input type="password" [(ngModel)]="regData.password2" name="password2" clearInput=true></ion-input>
		  </ion-item>
  
		  <div class="wrap_button mt-2">
		  <button type="submit" ion-button block color="primary" class="button-color">Simpan</button>
		  </div>
  
	  </form>
  </ion-content>
  